QAT(4)

NAME
qat - Intel QuickAssist crypto accelerator

SYNOPSIS
qat* at pci? dev ? function ?

DESCRIPTION
The qat driver supports the following system-on-chips, chipsets, and PCIe adapters, which are integrated with QuickAssist:

•   Intel Atom C2000 processor
•   Intel Atom C3000 processor
•   Intel Xeon D-1500 processor
•   Intel Xeon D-2100 processor
•   Intel C620 chipset
•   Intel QuickAssist Adapter 8960/8970

When the qat driver is attached, it automatically registers itself to accelerate DES-CBC, 3DES-CBC, AES-CBC, HMAC-SHA1, HMAC-SHA256, HMAC-SHA384, and HMAC-SHA512 operations for opencrypto(9), and thus for ipsec(4) and crypto(4).

FILES
The qat driver loads the firmware which is located in /libdata/firmware/qat/, by firmload(9).

SEE ALSO
crypto(4), intro(4), ipsec(4), firmload(9), opencrypto(9)

HISTORY
The qat driver first appeared in NetBSD 10.0.

AUTHORS
The qat driver was written by Hikaru Abe <hikaru@iij.ad.jp>.